﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using InvokeSolutions.Xlsx;
using InvokeSolutions.Xlsx.Data;
using System.IO;

namespace zSample.MultiChart
{
    class Program
    {
        static void Main(string[] args)
        {
            File.Copy("template.xlsx", "report.xlsx", true);

            var dds = new InvokeSolutions.Xlsx.Data.DocumentDataSource();

            dds["E"] = DataItem.ConvertFrom(
                    new[] {
                        new { Name = "EUR", Value = "%C.EUR%"},
                        new { Name = "JPY", Value = "%C.JPY%"},
                    }
                );

            dds["C"] = DataItem.ConvertFrom(new[]
                {
                    new { Year = 2007, Eur = 1.1, Jpy =2.2, Usd =3.3},
                    new { Year = 2008, Eur = 0.6, Jpy =1.8, Usd =2.8},
                    new { Year = 2009, Eur = 1.0, Jpy =2.0, Usd =3.0},
                    new { Year = 2010, Eur = 1.5, Jpy =3.0, Usd =1.2}
                });

            XlsxRenderer.RenderDocument("report.xlsx", dds);

            Process.Start("report.xlsx");
        }
    }
}
